org.apache.sling.bgservlets.impl.storage

## Interface NodeJobStatusFactory

All Known Implementing Classes:
  NodeJobStatusFactoryImpl

    public interface NodeJobStatusFactory

Builds JobStatus objects out of Nodes

### Method Summary

Methods
`JobStatus` `getJobStatus(javax.jcr.Node n)`

### Method Detail

#### getJobStatus

    JobStatus getJobStatus(javax.jcr.Node n)
                           throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`